<!-- ============================================================== -->
<!-- Validacion de los formularios  -->
<!-- ============================================================== -->
<script>
    $(document).ready(function () {
        $("#formulario_horario").validate({
            rules: {
                hora: {
                    required: true,
                    minlength: 4
                }
            },
            messages: {
                hora: {
                    required: "Ingrese una Hora",
                    minlength: "Minimo 4 caractares"
                }
            }
        });
    });
</script>
<!-- ============================================================== -->
<!-- Contenido de la plantilla -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!--inicio de modal Guardar-->
    <div>
        <a  class="btn btn-primary" href="#" id="nuevo_horario" onclick="desabilitar(false);">Nuevo</a> 
    </div><br>
    <!--fin de modal Guardar-->

    <!--inicio de modal estado-->
    <div class="modal fade" id="modal_estado" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel" >Quiere confirmar cambios</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span class="login100-form-title">
                    </span>
                    <form class="login100-form validate-form" id="formulario" method="POST" action="/admin_horario_estado">
                        <input type="hidden" value="0" name="external_normal" id="external_normal">
                        <input type="hidden" value="0" name="external_flexible" id="external_flexible">
                        <div class="d-flex justify-content-center">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="card">
                                        <div class="card-body">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">NO</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="card">
                                        <div class="card-body">
                                            <button type="submit" class="btn btn-primary">SI</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--fin de modal estado-->

    <div class="row">
        <div class="col-sm-4">
            <div class="card">
                <div class="card-body">
                    <br>
                    <!--inicio de modal Guardar-->
                    <form class="login100-form validate-form" id="formulario_horario" method="POST" action="/admin_horario_guardar">
                        <input type="hidden" value="0" name="external_editar" id="external_editar">
                        <input type="hidden" value="false" name="ver_uso" id="ver_uso">
                        <div class="form-group row">
                            <label class="col-sm-1 col-form-label"></label>
                            <select class="col-sm-9 form-control" id="tipo_horario" name="tipo_horario">
                                <option value="true">Horario 1</option>
                                <option value="false">Horario 2</option>
                            </select>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-1 col-form-label"></label>
                            <input class="col-sm-9 form-control" type="time" name="horaInico" placeholder="Hora Inicio" id="horaIn">
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-1 col-form-label"></label>
                            <input class="col-sm-9 form-control" type="time" name="horaFin" placeholder="Hora Fin" id="horaFin">
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="desabilitar(true), limpiar()" id="cancelar_horaio">Cancelar</button>
                            <button type="submit" class="btn btn-primary"  id="guardar_horario">Guardar</button>
                        </div>
                    </form>
                    <!--fin de modal Guardar-->
                    {{#if error}}
                    <div class="alert alert-danger alert-dismissible fade show" role="alert" style="width: 70%">
                        {{error}}!!
                        <button type="button" class="btn btn-danger" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    {{/if}}
                    {{#if info}}
                    <div class="alert alert-success alert-dismissible fade show" role="alert" style="width: 70%">
                        {{info}}!!
                        <button type="button" class="btn btn-success" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    {{/if}}
                </div>
            </div>
        </div>
        <!--NORMAL-->
        <div class="col-sm-4">
            <div class="card">
                <div class="card-body"><br>
                    <h4 align="center">HORARIO 1</h4>
                    <div class="d-flex justify-content-center" id="activar_normal">
                        <a class="btn btn-outline-info" href="#" data-toggle="modal" data-target="#modal_estado" data-whatever="@mdo" onclick="habilitarNormal(true)" id="normal" >Activar</a>
                    </div>
                    <div class="table-responsive m-t-10">
                        <table class="table stylish-table">
                            <thead>
                                <tr>
                                    <th >Hora Inicio</th>
                                    <th >Hora Fin</th>
                                    <th>Estado</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            {{#each horario}}
                            <tbody>
                                {{#if this.tipoHorario}}
                                <tr>
                                    <!--listar horario 1-->
                                    <td>{{this.horaInicio}}<input type="hidden" value="{{this.estado}}" id="ver_usoNormal"></td>
                                    <td>{{this.horaFin}}</td>
                                    <td>{{#if this.estado}}Habilitado{{else}}Inhabilitado{{/if}}</td>
                                    <td>
                                        <a class="btn btn-success" href="#"  id="{{this.external_normal}}" onclick="desabilitar(false)">Editar</a>
                                    </td>
                                </tr>
                            <script>
                                //cargar datos para editar horario 1
                                $('#{{this.external_normal}}').click(function () {
                                    $('#horaIn').val('{{this.horaInicio}}');
                                    $('#horaFin').val('{{this.horaFin}}');
                                    $('#tipo_horario').val('{{this.tipoHorario}}');
                                    $('#external_editar').val('{{this.external_id}}');
                                    $("#ver_uso").val('{{this.estado}}');
                                });
                                function verNor() {
                                    if ('{{this.estado}}' === 'false') {
                                        $("#normal").show();
                                    } else {
                                        $("#normal").hide();
                                        $("div#activar_normal").html('<div class="p-1 mb-1 bg-info text-white">HORARIO EN USO</div>');
                                    }
                                }
                            </script>
                            {{/if}}
                            </tbody>
                            {{/each}}
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!--FLEXIBLE-->
        <div class="col-sm-4">
            <div class="card">
                <div class="card-body"><br>
                    <h4 align="center">HORARO 2</h4>
                    <div class="d-flex justify-content-center" id="activar_flexible">
                        <a class="btn btn-outline-info" href="#" data-toggle="modal" data-target="#modal_estado" data-whatever="@mdo" onclick="habilitarFlexible(true)" id="flexible">Activar</a>
                    </div>
                    <div class="table-responsive m-t-10">
                        <table class="table stylish-table">
                            <thead>
                                <tr>
                                    <th >Hora Inicio</th>
                                    <th >Hora Fin</th>
                                    <th>Estado</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            {{#each horario}}
                            {{#if this.tipoHorario}}{{else}}
                            <tbody>
                                <tr>
                                    <!--listar horario 2-->
                                    <td>{{this.horaInicio}}<input type="hidden" value="{{this.estado}}" id="ver_usoFlexible"></td>
                                    <td>{{this.horaFin}}</td>
                                    <td>{{#if this.estado}}Habilitado{{else}}Inhabilitado{{/if}}</td>
                                    <td>
                                        <a class="btn btn-success" href="#"  id="{{this.external_flexible}}" onclick="desabilitar(false)">Editar</a>
                                    </td>
                                </tr>
                            <script>
                                //cargar datos para editar horario 2
                                $('#{{this.external_flexible}}').click(function () {
                                    $('#horaIn').val('{{this.horaInicio}}');
                                    $('#horaFin').val('{{this.horaFin}}');
                                    $('#tipo_horario').val('{{this.tipoHorario}}');
                                    $('#external_editar').val('{{this.external_id}}');
                                    $("#ver_uso").val('{{this.estado}}');
                                });
                                function verFlex() {
                                    if ('{{this.estado}}' === 'false') {
                                        $("#flexible").show();
                                    } else {
                                        $("#flexible").hide();
                                        $("div#activar_flexible").html('<div class="p-1 mb-1 bg-info text-white">HORARIO EN USO</div>');
                                    }
                                }
                            </script>
                            </tbody>
                            {{/if}}
                            {{/each}}
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<script>
    $(document).ready(function () {
        desabilitar(true);
        if ('{{horario.length}}' === '0') {
            $("#flexible").hide();
            $("#normal").hide();
        } else {
            verFlex();
            verNor();
        }
        verHabilitado();
        $('#tipo_horario').change(function () {
            verHabilitado();
        });
        if('{{info}}'==='Se ha creado correctamente'){
            enviarToken();
        }
    });
    function desabilitar(estado) {
        $("#horaIn").prop('disabled', estado);
        $("#horaFin").prop('disabled', estado);
        $("#tipo_horario").prop('disabled', estado);
        $("#cancelar_horaio").prop('disabled', estado);
        $("#guardar_horario").attr('disabled', estado);
    }
    //limpiar horas
    function limpiar() {
        $("#horaIn").val("");
        $("#horaFin").val("");
    }
    //habilitar horarios
    function habilitarFlexible(estado) {
        $("#external_flexible").val(estado);
    }
    function habilitarNormal(estado) {
        $("#external_normal").val(estado);
    }
    //fin de habilitar horarios
    //ver horarios habilitados
    function verHabilitado() {
        if ($('#tipo_horario').val() === 'true') {
            if ($('#ver_usoNormal').val() === 'true') {
                $('#ver_uso').val(true);
            } else {
                $('#ver_uso').val(false);
            }
        } else if ($('#tipo_horario').val() === 'false') {
            if ($('#ver_usoFlexible').val() === 'true') {
                $('#ver_uso').val(true);
            } else {
                $('#ver_uso').val(false);
            }
        }
    }
    //fin de ver horarios habilitados
    //enviar token
    function enviarToken() {
        $.ajax({
            url: "/obtener_token",
            type: 'GET',
            dataType: 'json',
            success: function (data, textStatus, jqXHR) {
                $.each(data, function (i, item) {
                    if (item.token) {
                        $.ajax({
                            type: 'POST',
                            url: "https://fcm.googleapis.com/fcm/send",
                            headers: {
                                Authorization: 'key=' + 'AAAANssG_K0:APA91bHt_4T4IaofrlQEOeZhCesvCIOuSNFtPH3uphftIolOAgT5NKVMRviTmm2etqPLIHs7Mj65odhYbQ5SAkIIQqaQ7kpE1KNi8HK6FhDLcpAxpDcsuJi_kQ5uKYFF6SRn5P13YDWO'
                            },
                            contentType: 'application/json',
                            dataType: 'json',
                            collapse_key: "new_messages",
                            data: JSON.stringify({
                                "to": item.token,
                                "notification": {
                                    "title": "Nuevos Horarios", "body": "Hay nuevos horarios disponibles",
                                    "icon": "/user.png",
                                    "click_action": "/"
                                }
                            }),
                            success: function (response) {
                                console.log(response);
                            },
                            error: function (xhr, status, error) {
                                console.log(xhr.error);
                            }
                        });
                    }
                });
            },
            error: function (xhr, status, error) {
                console.log(xhr.error);
            }
        });
    }
    //fin de enviar token
</script>
<style>

    #formulario_horario label.error {
        color: red;
    }
</style>